## psautohint 1.1.0

=== Makefile ===
.PHONY: build install check dist clean format

ROOT_DIR = .
SRC_DIR = $(ROOT_DIR)/libpsautohint
TST_DIR = $(ROOT_DIR)/tests

PYTHON ?= python
# --user does not work from inside a virtual environment
# PIP_OPTIONS ?= --user
PIP_OPTIONS ?=

# Get the platform/version-specific build/lib.* folder
define GET_BUILD_DIR
import os
import sys
import sysconfig
root = sys.argv[1]
plat_lib_name = "lib.{platform}-{version[0]}.{version[1]}".format(
    platform=sysconfig.get_platform(), version=sys.version_info)
build_dir = os.path.abspath(os.path.join(root, "build", plat_lib_name))
print(build_dir)
endef

BUILD_DIR := $(shell $(PYTHON) -c '$(GET_BUILD_DIR)' $(ROOT_DIR))

build:
	$(PYTHON) setup.py build

install:
	$(PYTHON) -m pip install -r requirements.txt -v $(PIP_OPTIONS) .

autohintexe:
	make -C $(SRC_DIR)

dist: clean
	$(PYTHON) setup.py sdist bdist_wheel

clean:
	$(PYTHON) setup.py clean --all
	make -C $(SRC_DIR) clean

check: build
	make -C $(TST_DIR) PYTHONPATH="$(BUILD_DIR)"

format:
	clang-format -i `find $(SRC_DIR) -name '*.c'`

=== libpsautohint/Makefile ===
NULL =

# Configuration
OBJ_DIR = .
SRC_DIR = .

# Program
PRG_OBJS = $(OBJ_DIR)/autohintexe.o
PRG_TARGET = $(OBJ_DIR)/autohintexe$(EXE)
PRG_LIBS = -L. -lpsautohint

# Library
LIB_TARGET = $(OBJ_DIR)/libpsautohint.a

CFLAGS = \
	-I$(SRC_DIR)/include \
	-I$(SRC_DIR)/src \
	-Wall \
	-Wextra \
	-Wpedantic \
	-Wdeclaration-after-statement \
	-Wstrict-prototypes \
	-Wunused-macros \
	-Wmissing-prototypes \
	-O3 \
	-fno-tree-vectorize \
	$(NULL)

ifeq ($(firstword $(shell $(CC) --version)),clang)
CFLAGS += \
	-Wunreachable-code-break \
	-Wmissing-variable-declarations \
	$(NULL)
endif

ifeq ($(OS),Windows_NT)
EXE = .exe
else
PRG_LIBS += -lm
endif
					 
LIB_OBJS = \
	$(OBJ_DIR)/src/acfixed.o \
	$(OBJ_DIR)/src/ac.o \
	$(OBJ_DIR)/src/auto.o \
	$(OBJ_DIR)/src/bbox.o \
	$(OBJ_DIR)/src/charpathpriv.o \
	$(OBJ_DIR)/src/charprop.o \
	$(OBJ_DIR)/src/check.o \
	$(OBJ_DIR)/src/control.o \
	$(OBJ_DIR)/src/eval.o \
	$(OBJ_DIR)/src/fix.o \
	$(OBJ_DIR)/src/flat.o \
	$(OBJ_DIR)/src/fontinfo.o \
	$(OBJ_DIR)/src/gen.o \
	$(OBJ_DIR)/src/head.o \
	$(OBJ_DIR)/src/logging.o \
	$(OBJ_DIR)/src/memory.o \
	$(OBJ_DIR)/src/merge.o \
	$(OBJ_DIR)/src/misc.o \
	$(OBJ_DIR)/src/pick.o \
	$(OBJ_DIR)/src/psautohint.o \
	$(OBJ_DIR)/src/read.o \
	$(OBJ_DIR)/src/report.o \
	$(OBJ_DIR)/src/shuffle.o \
	$(OBJ_DIR)/src/stemreport.o \
	$(OBJ_DIR)/src/write.o \
	$(NULL)

default: $(PRG_TARGET)

clean:
	rm -f $(PRG_OBJS)
	rm -f $(LIB_OBJS)
	rm -f $(PRG_TARGET)
	rm -f $(LIB_TARGET)

COMPILE = $(if $(filter $V,1),,@echo "  CC $< ";)$(CC)
LINK    = $(if $(filter $V,1),,@echo "  LD $@ ";)$(CC)
ARCHIVE = $(if $(filter $V,1),,@echo "  AR $@ ";)$(AR)

# Program
$(PRG_TARGET): $(PRG_OBJS) $(LIB_TARGET)
	$(LINK) $(CFLAGS) -o $@ $(PRG_OBJS) $(PRG_LIBS)

# Library
$(LIB_TARGET): $(LIB_OBJS)
	$(ARCHIVE) -rs $@ $?

$(OBJ_DIR)/%.o: $(SRC_DIR)/%.c
	$(COMPILE) $(CFLAGS) -c $< -o $@

=== tests/Makefile ===
.PHONY: all FORCE

PYTHON ?= python

UFO:=$(wildcard data/*/*/font.ufo)
OTF:=$(wildcard data/*/*/font.otf)
TESTS:=$(UFO:%.ufo=%.tst) $(OTF:%.otf=%.pst)

all: $(TESTS)

# diff options
# http://www.gnu.org/software/diffutils/manual/html_node/diff-Options.html
# -N If one file is missing, treat it as present but empty
# -a Treat all files as text and compare them line-by-line
# -u Use the unified output format, showing three lines of context
# -r When comparing directories, recursively compare any subdirectories found
# -x When comparing directories, ignore files and subdirectories whose basenames
#    match the pattern

%.tst: %.ufo FORCE
	@echo "	Testing $<"
	@rm -rf $@
	@$(PYTHON) -m psautohint -all -qq -o $@ $<
	@rm -f $@/.DS_Store
	@diff -Naur --strip-trailing-cr $< $@
	@rm -rf $@

%.pst: %.otf FORCE
	@echo "	Testing $<"
	@rm -rf $@
	@$(PYTHON) -m psautohint -qq -o $@ $<
	@ttx -q -t CFF -o $<.ttx $<
	@ttx -q -t CFF -o $@.ttx $@
	@diff -u $<.ttx $@.ttx
	@rm -rf $@ $<.ttx $@.ttx

FORCE:

=== debian/changelog ===
psautohint (1.1.0-1) unstable; urgency=low

  * Initial release (Closes: #890218)

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 12 Feb 2018 07:37:38 -0500

=== debian/control ===
Source: psautohint
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-dev,
               python3-fonttools (>= 3.1.2),
               python3-setuptools
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/fonts-team/psautohint.git
Vcs-Browser: https://salsa.debian.org/fonts-team/psautohint
Homepage: https://github.com/adobe-type-tools/psautohint

Package: psautohint
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-psautohint (>= ${binary:Version}),
 python3-pkg-resources
Description: standalone version of the AFDKO autohinter
 psautohint is a standalone version of the autohinter from the Adobe Font
 Development Kit for OpenType (AFDKO).
 .
 This package provides the executable program.

Package: python3-psautohint
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Description: Python library for standalone version of the AFDKO autohinter
 psautohint is a standalone version of the autohinter from the Adobe Font
 Development Kit for OpenType (AFDKO).
 .
 This package provides the Python 3 library.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/adobe-type-tools/psautohint/releases \
 .*/archive/v?([0-9][0-9\.]*)@ARCHIVE_EXT@

## psautohint 1.8.1

=== debian/changelog ===
psautohint (1.8.1-2) unstable; urgency=medium

  * New upstream release
  * debian/watch: Track releases from GitHub again
  * Build-Depend on python3-pytest
  * Run unit tests but not the integration tests

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 11 Sep 2018 22:10:32 -0400

psautohint (1.7.0-1) unstable; urgency=medium

  * New upstream release
  * Drop patch, applied in new release
  * Build-Depend on python3-setuptools-scm
  * Bump minimum python3-fonttools to 3.29.0
  * Update debian/watch to use pypi for releases for now. See issue 98.

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 03 Sep 2018 16:09:34 -0400

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,11 @@
 Build-Depends: debhelper (>= 11),
                dh-python,
                python3-dev,
-               python3-fonttools (>= 3.1.2),
-               python3-setuptools
+               python3-fonttools (>= 3.29.0),
+               python3-pytest <!nocheck>,
+               python3-setuptools,
+               python3-setuptools-scm,
+               python3-ufolib (>= 2.3.1)
 Standards-Version: 4.1.3
 Vcs-Git: https://salsa.debian.org/fonts-team/psautohint.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/psautohint

## psautohint 1.9.1

=== requirements.txt ===
fonttools[lxml,ufo]==3.33.0

=== debian/changelog ===
psautohint (1.9.1-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum python3-fonttools to 3.33.0
  * Drop python3-ufolib from Build-Depends
  * Add Testsuite: autopkgtest-pkg-python
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 15 Dec 2018 08:18:11 -0500

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,15 @@
 Build-Depends: debhelper (>= 11),
                dh-python,
                python3-dev,
-               python3-fonttools (>= 3.29.0),
+               python3-fonttools (>= 3.33.0),
                python3-pytest <!nocheck>,
                python3-setuptools,
-               python3-setuptools-scm,
-               python3-ufolib (>= 2.3.1)
-Standards-Version: 4.1.3
+               python3-setuptools-scm
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/fonts-team/psautohint.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/psautohint
 Homepage: https://github.com/adobe-type-tools/psautohint
+Testsuite: autopkgtest-pkg-python
 
 Package: psautohint
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# The integration tests require data files
# not included in the release tarball
export PYBUILD_TEST_ARGS= --ignore tests/integration --verbose

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/adobe-type-tools/psautohint/releases \
 .*/psautohint-?([0-9][0-9\.]*)@ARCHIVE_EXT@

## psautohint 1.9.3c1

=== requirements.txt ===
fonttools[ufo,lxml]==3.42.0

=== debian/changelog ===
psautohint (1.9.3c1-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 04:38:15 +0000

psautohint (1.9.3c1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * debian/control:
    - Bump Standards-Version to 4.4.0
    - Update dependencies
  * debian/watch: Change tracking filename
  * debian/rules: Delete generated file after dh_autoclean

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Thu, 18 Jul 2019 10:36:17 -0300

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Build-Depends: debhelper (>= 11),
                dh-python,
                python3-dev,
-               python3-fonttools (>= 3.33.0),
+               python3-fonttools (>= 3.42.0),
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/fonts-team/psautohint.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/psautohint
 Homepage: https://github.com/adobe-type-tools/psautohint

=== debian/watch ===
version=4
https://github.com/adobe-type-tools/psautohint/releases \
 .*/archive/v@ANY_VERSION@@ARCHIVE_EXT@

## psautohint 2.1.0

=== debian/changelog ===
psautohint (2.1.0-1) unstable; urgency=medium

  * debian/watch: Fix upstream version mangle
  * New upstream version 2.1.0
  * debian/control:
    - Use debhelper 13
    - Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sat, 25 Jul 2020 14:02:09 +0800

psautohint (2.0.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.0.1
  * debian/control:
    - Change description since psautohint is removed from AFDKO
    - Update dependencies
    - Bump Standards-Version to 12; No change has been made in this regard.
  * debian/watch: Mangle upstream alpha versions
  * Use debhelper 12

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 07 Jun 2020 14:44:46 +0800

=== debian/control ===
Source: psautohint
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-dev,
               python3-fonttools (>= 4.12.1),
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-setuptools-scm
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/fonts-team/psautohint.git
Vcs-Browser: https://salsa.debian.org/fonts-team/psautohint
Homepage: https://github.com/adobe-type-tools/psautohint
Testsuite: autopkgtest-pkg-python

Package: psautohint
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-psautohint (>= ${binary:Version}),
 python3-pkg-resources
Description: Font autohinter from AFDKO
 psautohint is the font autohinter from Adobe Font Development Kit for OpenType
 (AFDKO).
 .
 This package provides the executable program.

Package: python3-psautohint
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Description: Python library for psautohint font hinter from AFDKO
 psautohint is the font autohinter from Adobe Font Development Kit for OpenType
 (AFDKO).
 .
 This package provides the Python 3 library.

## psautohint 2.2.0

=== requirements.txt ===
# 'lxml' is not a primary requirement of psautohint but it's listed here because we
# want to have control over the version and guarantee that the XML output remains stable
lxml==4.6.2
fonttools[ufo,lxml]==4.18.1

=== debian/changelog ===
psautohint (2.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.2.0
  * debian/control:
    - Update dependencies
    - Bump Standards-Version to 4.5.1. No additional changes are needed.

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Fri, 01 Jan 2021 18:58:08 +0800

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-dev,
-               python3-fonttools (>= 4.12.1),
+               python3-fonttools (>= 4.18.1),
                python3-pytest <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/fonts-team/psautohint.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/psautohint
 Homepage: https://github.com/adobe-type-tools/psautohint

=== debian/watch ===
version=4
opts="uversionmangle=s/\.(\d+)([a-z]\d+)/\.\1\~\2/" \
https://github.com/adobe-type-tools/psautohint/releases \
 .*/archive/v@ANY_VERSION@@ARCHIVE_EXT@

## psautohint 2.3.0

=== requirements.txt ===
# 'lxml' is not a primary requirement of psautohint but it's listed here because we
# want to have control over the version and guarantee that the XML output remains stable
lxml==4.6.2
fonttools[ufo,lxml]==4.20.0

=== debian/changelog ===
psautohint (2.3.0-1deepin1) unstable; urgency=medium

  * No source change upload against python 3.12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Mon, 08 Jul 2024 09:53:33 +0200

psautohint (2.3.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.3.0
  * d/watch: Change GitHub archive URL
  * d/control: Update dependencies

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Sun, 16 May 2021 22:21:45 +0800

=== debian/watch ===
version=4
opts="uversionmangle=s/\.(\d+)([a-z]\d+)/\.\1\~\2/" \
https://github.com/adobe-type-tools/psautohint/releases \
 .*/archive/refs/tags/v@ANY_VERSION@@ARCHIVE_EXT@

## psautohint 2.4.0

=== requirements.txt ===
# 'lxml' is not a primary requirement of psautohint but it's listed here because we
# want to have control over the version and guarantee that the XML output remains stable
lxml==4.7.1
fonttools[ufo,lxml]==4.29.0

=== debian/changelog ===
psautohint (2.4.0-2) unstable; urgency=medium

  * Team upload
  * Remove unused dependency on python3-pkg-resources (Closes: #1083560)
  * Trim d/rules using newer syntax
  * Bump Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Fri, 05 Sep 2025 01:17:34 +0200

psautohint (2.4.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.4.0
  * debian/watch: releases page on GitHub is broken, temporarily switching to
    tags
  * debian/control:
    - Update Build-Depends, add python3-pytest-xdist
    - Bump Standards-Version to 4.6.1, no additional changes are needed
  * debian/copyright: remove unused copyright section

 -- Yao Wei (魏銘廷) <mwei@debian.org>  Tue, 22 Nov 2022 21:07:39 +0800

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-dev,
-               python3-fonttools (>= 4.18.1),
+               python3-fonttools (>= 4.29.0),
                python3-pytest <!nocheck>,
+               python3-pytest-xdist <!nocheck>,
                python3-setuptools,
                python3-setuptools-scm
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/fonts-team/psautohint.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/psautohint
 Homepage: https://github.com/adobe-type-tools/psautohint
@@ -22,7 +23,6 @@
  ${misc:Depends},
  ${python3:Depends},
  python3-psautohint (>= ${binary:Version}),
- python3-pkg-resources
 Description: Font autohinter from AFDKO
  psautohint is the font autohinter from Adobe Font Development Kit for OpenType
  (AFDKO).

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,7 @@
 export PYBUILD_TEST_ARGS= --ignore tests/integration --verbose
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
+
+execute_after_dh_auto_clean:
+	rm libpsautohint/src/version.h

=== debian/watch ===
version=4
opts="uversionmangle=s/\.(\d+)([a-z]\d+)/\.\1\~\2/" \
https://github.com/adobe-type-tools/psautohint/tags \
 .*/archive/refs/tags/v@ANY_VERSION@@ARCHIVE_EXT@
